Skip to content

Deployments, newest first

GET
https://app.gitpando.com/v1/monorepos/{owner}/{monorepo}/repos/{repo}/deployments

Authorisation

  • credentialoptionalHTTP
  • sessionoptionalAPI key in cookie

Path parameters

  • ownerstringrequired

    The monorepo's owner, a namespace (a person's login or an organization). Matched without case.

    pattern: ^[a-z0-9](?:[a-z0-9]|-(?=[a-z0-9])){0,38}$
  • monorepostringrequired

    The monorepo's name within its owner (or an old name). Matched without case.

    pattern: ^[a-z0-9](?:[a-z0-9._]|-(?!-)){0,38}$
  • repostringrequired

    The repo's name (projects-web).

Query parameters

  • environmentoptionalstring
  • limitoptionalinteger
    maximum: 100, minimum: 1
    Default: 30

Returns

200

OK

JSON
  • deploymentsarray ofobjectrequired
    10 properties
    • idstringrequired
    • repostringrequired
    • environmentstringrequired
    • shastringrequired
    • releasestring | nullrequired
    • statein_progressorsuccessorfailurerequired
    • urlstring | nullrequired
    • descriptionstring | nullrequired
    • created_bystringrequired
    • created_atstringrequired
      format: date-time
Navigation

Type to search…

↑↓ navigate↵ selectEsc close